nvmlFBCSessionInfo_t(3)

NAME
nvmlFBCSessionInfo_t -

SYNOPSIS

#include <nvml.h>

  Data Fields

unsigned int sessionId
Unique session ID.
unsigned int pid
Owning process ID.
nvmlVgpuInstance_t vgpuInstance
Owning vGPU instance ID (only valid on vGPU hosts, otherwise zero).
unsigned int displayOrdinal
Display identifier.
nvmlFBCSessionType_t sessionType
Type of frame buffer capture session.
unsigned int sessionFlags
Session flags (one or more of NVML_NVFBC_SESSION_FLAG_XXX).
unsigned int hMaxResolution
Max horizontal resolution supported by the capture session.
unsigned int vMaxResolution
Max vertical resolution supported by the capture session.
unsigned int hResolution
Horizontal resolution requested by caller in capture call.
unsigned int vResolution
Vertical resolution requested by caller in capture call.
unsigned int averageFPS
Moving average new frames captured per second.
unsigned int averageLatency
Moving average new frame capture latency in microseconds.

Detailed Description

Structure to hold FBC session data

Author

Generated automatically by Doxygen for NVML from the source code.